HADOOP-15527. Improve delay check for stopping processes.
Contributed by Vinod Kumar Vavilapalli
Project: http://git-wip-us.apache.org/repos/asf/hadoop/repo
Commit: http://git-wip-us.apache.org/repos/asf/hadoop/commit/2c87ec5a
Tree: http://git-wip-us.apache.org/repos/asf/hadoop/tree/2c87ec5a
Diff: http://git-wip-us.apache.org/repos/asf/hadoop/diff/2c87ec5a
Branch: refs/heads/HDFS-13532
Commit: 2c87ec5affefeb1dc794c4eaae685a4e544f1841
Parents: fba9d7c
Author: Eric Yang <[email protected]>
Authored: Mon Jun 18 14:28:22 2018 -0400
Committer: Eric Yang <[email protected]>
Committed: Mon Jun 18 14:28:22 2018 -0400
----------------------------------------------------------------------
.../test/scripts/process_with_sigterm_trap.sh | 24 ++++++++++++++++++++
1 file changed, 24 insertions(+)
----------------------------------------------------------------------
http://git-wip-us.apache.org/repos/asf/hadoop/blob/2c87ec5a/hadoop-common/src/test/scripts/process_with_sigterm_trap.sh
----------------------------------------------------------------------
diff --git a/hadoop-common/src/test/scripts/process_with_sigterm_trap.sh
b/hadoop-common/src/test/scripts/process_with_sigterm_trap.sh
new file mode 100644
index 0000000..d7c7427
--- /dev/null
+++ b/hadoop-common/src/test/scripts/process_with_sigterm_trap.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+trap "echo SIGTERM trapped!" SIGTERM
+trap "echo SIGINT trapped!" SIGINT
+
+echo "$$" > "$1"
+
+while true; do
+ sleep 1.3
+done
---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]